Name:           glog
Version:        0.3.5
Release:        1%{?dist}
Summary:        A C++ application logging library
License:        BSD
URL:            https://github.com/google/glog
Source0:        https://github.com/google/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  gcc
BuildRequires:  autoconf, gflags-devel >= 2.1.0
BuildRequires: make
Requires:       gflags
Requires:       gflags-devel >= 2.1.0

%description
Google glog is a library that implements application-level
logging. This library provides logging APIs based on C++-style
streams and various helper macros.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup

%build
export CXXFLAGS="-std=c++14 $RPM_OPT_FLAGS"
autoconf
%configure --disable-static
%make_build

%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
rm -rf $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}

%ldconfig_scriptlets

%files
%doc ChangeLog COPYING README
%{_libdir}/libglog.so.*

%files devel
%doc doc/designstyle.css doc/glog.html
%{_libdir}/libglog.so
%{_libdir}/pkgconfig/libglog.pc
%dir %{_includedir}/glog
%{_includedir}/glog/*


%changelog
* Fri Jun 16 2023 forrest_ly <flin@linux.alibaba.com> - 0.3.5-1 
- init for anolis 23
